#
# spec file for package yast2-cio
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change spec file in build service directly
#            Use https://github.com/yast/yast-cio repo
#
######################################################################

Name:           yast2-cio
VCS: https://src.suse.de/SLFO-pool/yast2-cio#7510ee0b6f5f4f5a0e1794a7b6bde66f791f0f68bebf668aeb3f6f81537dc7b3
Version:        5.0.0
Release:        160000.1.2
Summary:        YaST2 - IO Channel management
Group:          System/YaST
License:        GPL-2.0-only OR GPL-3.0-only
URL:            https://github.com/yast/yast-cio

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
BuildRequires:  yast2 >= 3.0.5
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-ruby-bindings >= 1.2.0
#for install task
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)
# for tests
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)

Requires:       s390-tools
Requires:       yast2 >= 3.0.5
Requires:       yast2-ruby-bindings >= 1.2.0

Supplements:    yast2-s390

ExclusiveArch:  s390 s390x

%description
Provides interface for blacklisting and unblocking IO channels

%prep
%setup -q

%check
%yast_check

%install
%yast_install
%yast_metainfo

%files
%{yast_clientdir}
%{yast_libdir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_icondir}
%doc README.md
%license COPYING

%changelog
* Wed Aug 30 2023 jreidinger@suse.cz
- 5.0.0 (bsc#1185510)
* Mon Mar  6 2023 mvidner@suse.com
- Stop using File.exists? which no longer works in Ruby 3.2
  (bsc#1206419)
- 4.6.1
* Fri Mar  3 2023 lslezak@suse.cz
- Bump version to 4.6.0 (bsc#1208913)
* Thu Apr 28 2022 lslezak@suse.cz
- Fixed unit test failure in Tumbleweed (Ruby 3.1) (bsc#1198982)
- 4.5.1
* Wed Apr  6 2022 lslezak@suse.cz
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 lslezak@suse.cz
- 4.4.0 (bsc#1185510)
* Mon Mar 30 2020 shundhammer@suse.com
- Install by default if yast2-s390 is installed (bsc#1158036)
- 4.2.2
* Thu Aug 22 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.2.1
* Fri May 31 2019 hellcp@mailbox.org
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Sun Nov 25 2018 hellcp@mailbox.org
- Provide icon with module (boo#1109310)
- 4.1.0
* Wed Aug 22 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Tue Aug 21 2018 schubi@suse.de
- Changed dir of COPYING file.
* Thu Jun 28 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.3
* Fri Jun 15 2018 jreidinger@suse.com
- fix invoking shell with too many channels (bsc#1096033)
- 4.0.2
* Thu Apr 19 2018 jreidinger@suse.com
- make package s390 only as it is useless elsewhere (bsc#1089178)
- 4.0.1
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Fri Jul 31 2015 jreidinger@suse.com
- fix building with new rspec
- 3.1.8
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library (bnc#899104)
- 3.1.7
* Fri Sep 12 2014 jreidinger@suse.com
- do not crash if blacklisting empty selection (bnc#896468)
- 3.1.6
* Thu Sep  4 2014 mvidner@suse.com
- Use a more flexible rubygem requirement syntax (bnc#895069)
- 3.1.5
* Tue Jun  3 2014 jreidinger@suse.com
- fix crash in unban dialog
- 3.1.4
* Tue Mar 25 2014 jreidinger@suse.com
- mark properly string to translation
- 3.1.3
* Mon Mar 24 2014 jreidinger@suse.com
- correctly set textdomain to get translated strings
- 3.1.2
* Fri Feb 14 2014 jreidinger@suse.com
- Fix invalid STDOUT exception for debugging prints
- Add desktop file
- 3.1.1
* Thu Jan 16 2014 jreidinger@suse.com
- initial version (FATE#316579)
- 3.1.0
